<?php

if(!@include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikashop'.DS.'helpers'.DS.'helper.php')){ return false; }

class Last_Products
{
    public $ids = NULL; 
    public $products = NULL; 
 
    public function __construct() {

    }

    public function getProducts ($nombre_produits = 3) {

        // Get a db connection.
        $db = JFactory::getDbo();
         
        // Create a new query object.
        $query = $db->getQuery(true);
         
        $query->select($db->quoteName('product_id'));
        $query->from($db->quoteName('#__hikashop_product'));
        $query->where($db->quoteName('product_published') . ' = '. $db->quote('1'));
        $query->order($db->quoteName('product_created') . ' DESC');
        $query->setLimit( $nombre_produits );


        //instancie la classe hikashop
        $productClass = hikashop_get('class.product');
         
        //recupere les ids des n derniers produits dans un tableau
        $db->setQuery($query);
        $this->ids= $db->loadColumn();

        foreach( $this->ids as $id ) {
            $this->products[$id]['object'] =  $productClass->getProduct($id);

            $config = hikashop_config();
            $image = reset($this->products[$id]['object']->images);
            $path = '/'.$config->get('uploadfolder').$image->file_path;


            $this->products[$id]['image'] =  $path;
        
            $productClass->addAlias($this->products[$id]['object']);
            $this->products[$id]['link'] =  hikashop_contentLink('product&task=show&cid=' . $this->products[$id]['object']->product_id . '&name=' . $this->products[$id]['object']->alias . '&Itemid=XXX', 
                $this->products[$id]['object']); 

        }

        return $this->products;

    }


}